/**
 * @copyright	Copyright (c) 2013 Skyline Software (http://extstore.com). All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

(function ($) {
	$.fn.SLRedirectConfirm	= function(options) {
		var defaults	= {
			title:			'Exiting our website',
			message:		'You are now leaving our website. We are not responsible for any external Web sites or their content.',
			continuelbl:	'Continue',
			returnlbl:		'Return'
		};

		var options		= $.extend(defaults, options);
		var confirmed	= false;
		var getDomain	= function(hostname) {
			var s = hostname.split('.');
			return s.slice(-2).join('.');
		};

		var $modal		= $('<div id="redirectconfirm-modal" class="modal fade hide">\
			<div class="modal-header">\
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>\
				<h3>' + options.title + '</h3>\
			</div>\
			<div class="modal-body">\
				<p>' + options.message + '</p>\
			</div>\
			<div class="modal-footer">\
				<a href="#" class="btn" data-dismiss="modal">' + options.returnlbl + '</a>\
				<a href="#" class="btn btn-primary btn-continue">' + options.continuelbl + '</a>\
			</div>\
		</div>').appendTo('body');

		var currentDomain = getDomain(location.hostname);

		$('a').each(function() {
			var $a	= jQuery(this);

			if ($a.get(0).hostname && getDomain($a.get(0).hostname) != currentDomain) {
				$a.click(function(event) {
					if (!confirmed) {
						event.preventDefault();
						event.stopPropagation();

						$modal.on('show', function() {
							$modal.find('.btn-continue').click(function() {
								confirmed = true;
								$a.get(0).click();
								$modal.modal('hide');
							});
						});

						$modal.on('hide', function() {
							confirmed = false;
						});

						$modal.find('.modal-body > p').html(options.message.replace('{url}', $a.attr('href')));
						$modal.modal('show');
					}
				});
			}
		});
	}
})(jQuery);